2002-07-18 14:01  Graham Barr

	* RELEASE_NOTES, lib/Net/LDAP.pm:

	Release 0.26
	
2002-07-18 13:58  Graham Barr

	* MANIFEST, lib/Net/LDAP/Extension/SetPassword.pm:

	Added Net::LDAP::Extension::SetPassword
	
2002-07-16 00:07  Graham Barr

	* lib/Net/LDAP.pm:

	Fix arguemnts passed to IO::Socket::SSL by start_tls
	
2002-07-15 02:28  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Added new book listing, Managing Enterprise Active Directory Services
	
2002-06-30 02:32  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Added information and URL for Rafael Corvalan's LDAP shell.
	
2002-06-18 13:39  Graham Barr

	* lib/Net/LDAP/Entry.pod:

	POD clarification for ->delete
	
2002-06-15 03:47  Clif Harden

	* contrib/tklkup:

	
	Added code to close windows after ldap actions are taken.  This is to force
	a new search after data has been changed.
	
2002-06-12 03:04  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Added a reference to Clayton Donley's new book; LDAP Programming.
	Added a reference to Octet String, another directory provider.
	Removed reference to Iplanet.
	Added a reference to Sun One which now has the Iplanet directory server.
	
2002-06-03 16:48  Graham Barr

	* Makefile.PL:

	Dont generate html docs when creating release dist
	
2002-06-03 16:42  Graham Barr

	* mkmanf:

	Dont scan htdocs for files
	
2002-06-03 16:35  Graham Barr

	* lib/Net/LDAP.pod:

	Add Mailing list section
	
2002-06-03 16:26  Graham Barr

	* lib/Net/LDAP/Search.pm, lib/Net/LDAP/Util.pm, t/01canon_dn.t:

	New implementation of canonical_dn and ldap_explode_dn,
	thanks to Norbert Klasen
	
2002-05-31 16:16  Graham Barr

	* MANIFEST, data/00-cmp.ldif:

	Add missing file data/00-cmp.ldif to CVS and MANIFEST
	
2002-05-29 12:02  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Handle the case where the version spec is by itself
	
2002-05-29 03:47  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	Initial attempt at putting POD documentation in the DSML.pm module.
	
2002-05-28 12:15  Chris Ridd

	* lib/Net/: LDAPS.pm, LDAP.pod:

	Added decryptkey parameter
	
2002-05-28 10:34  Graham Barr

	* lib/Net/LDAP.pm:

	Remember host connected to, needed for sasl
	
2002-05-28 10:03  Graham Barr

	* CREDITS:

	Add Kartik Subbarao and Norbert Klasen
	
2002-05-28 09:34  Graham Barr

	* htdocs/index.xml, mkhtml, mkindex:

	No longer including html generated from POD in the distribution
	
2002-05-28 09:13  Graham Barr

	* lib/Net/LDAP/Entry.pm:

	Fix return hash for get_value($attr, alloptions => 1);
	
2002-05-28 08:57  Graham Barr

	* lib/Net/LDAP/Schema.pm:

	Fix bug when fetching elements with OIDs
	
2002-05-28 08:52  Graham Barr

	* lib/Net/LDAP/: DSML/Parser.pm, DSML.pm:

	New DSML module that uses XML::SAX
	
2002-05-28 02:54  Clif Harden

	* contrib/tklkup:

	
	Made several code corrections to the code that stores xml formatted
	schema information in a file.  This is due to the new DSML.pm module.
	
2002-05-25 06:05  Clif Harden

	* contrib/tklkup:

	
	Change schema code to comprehend the new Schema.pm file.
	Added code to determine new x and y position when the main window moves.
	
2002-05-21 15:53  Chris Ridd

	* lib/Net/LDAP.pm:

	Changed extendedRequest to extendedReq
	
2002-05-17 14:50  Chris Ridd

	* Makefile.PL:

	Specified minimum version of IO::Socket::SSL
	
2002-05-17 14:49  Chris Ridd

	* lib/Net/LDAP.pm:

	Removed workaround for old IO::Socket::SSL versions
	
2002-04-23 17:07  Graham Barr

	* lib/LWP/Protocol/ldap.pm:

	Patch from mah@everybody.org
	
2002-04-23 11:57  Graham Barr

	* lib/Net/LDAP/: Schema.pm, Schema.pod:

	New Schema API
	
2002-04-23 11:52  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Support line continuations in LDIF files in comments.
	Patch from Norbert Klasen
	
2002-02-18 16:51  Graham Barr

	* MANIFEST, Makefile.PL, htdocs/index.xml, lib/Authen/SASL.pm,
	lib/Authen/SASL.pod, lib/Authen/SASL/CRAM_MD5.pm,
	lib/Authen/SASL/EXTERNAL.pm, lib/Net/LDAP.pm, lib/Net/LDAP/Bind.pm:

	Change over to using Authen::SASL v2.00, which is now distributed
	in a separate distribution
	
2002-02-18 15:58  Graham Barr

	* lib/Net/LDAP.pm:

	Allow host passed to new to be an array ref of several to try
	
2002-02-04 18:58  Graham Barr

	* data/00-in.ldif, data/core.schema, data/slapd2-conf.in,
	t/00ldif-entry.t, t/50populate.t, t/51search.t, t/52modify.t,
	t/53schema.t, t/54dse.t, t/55ssl.t, t/common.pl:

	Some testcase tweaks
	
2002-02-04 14:58  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Add support for the version number line
	
2002-01-31 15:25  Graham Barr

	* lib/Net/LDAP/Util.pm, t/01canon_dn.t:

	move some logic from canonical_dn into explode_dn and add some more
	tests for DNs
	
2002-01-31 14:04  Graham Barr

	* lib/Net/LDAP/Filter.pm:

	Fix uninit warning
	
2002-01-31 13:32  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Fix the \n output when the output is to a terminal or a pipe
	
2002-01-23 13:25  Graham Barr

	* lib/Net/LDAP/Schema.pm:

	Tweak the regexp that parses the elements to beter match qdstrings
	that contain '
	
2002-01-09 17:19  Graham Barr

	* lib/Net/LDAP/Filter.pm, t/02filter.t:

	Fix filters to be RFC compliant
	
2002-01-03 03:01  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Corrected _schemaToXML function to comprehend that a multi-valued oid
	number could be returned from name2oid method. Now use the is_attribute,
	is_objectclass, ...,  methods to determine oid number.
	
2002-01-03 02:53  Clif Harden

	* contrib/tklkup:

	
	Corrected schema parse and display code to comprehend that a multi-valued
	oid number could be returned from name2oid method. Now use the
	is_attribute, is_objectclass, ...,  methods to determine oid number.
	
2002-01-01 03:39  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Corrected VERSION number.  No code changes were made.
	
2001-12-29 22:53  Clif Harden

	* contrib/tklkup:

	
	Added code to allow the schema information to be stored in a file as
	DSML XML data.  User can now select to store the data as text or XML.
	
2001-12-29 22:51  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Added close method.  The close method does not do anything, but is called
	by the DESTROY method. For some reason the close method was never coded.
	Original DSML writter must have had a reason for doing this, just never
	implement it.
	
2001-12-29 01:50  Clif Harden

	* contrib/tklkup:

	
	Added code to allow editing of a entry's attributes.
	This makes this software a full featured LDAP directory interface.
	Added pod documentation about new windows and features.
	
2001-12-25 01:09  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Updated the VERSION variable, brings in more inline with the
	CVS version number.  No code changes were made.
	
2001-12-25 01:05  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Made changes to _schemaToXML subroutine to speed it up.
	
2001-12-20 05:05  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Completed coding of schema to DSML xml process.
	Changed the way file and array processing was done with schema data.
	Added additional pod documentation.
	
2001-12-19 22:27  Graham Barr

	* lib/Net/LDAP/Schema.pm:

	- Fix bug in ->item when $item_name is not specified
	- Don't generate an element name from the description, use the OID
	
2001-12-19 04:37  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Added code to put schema data into DSML XML format.  Data
	can be stored in an array reference or file.
	
2001-12-18 12:59  Clif Harden

	* lib/Net/LDAP/DSML.pm:

	
	Changed code to allow and comprehend the passing of an array
	referrence instead of a file handle.  This touched all of the
	methods that wrote to a file.  The new code does/should not affect
	the way the code worked with a file handle.
	
2001-12-17 16:50  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Added text about simulated server failover.
	
2001-12-17 01:35  Clif Harden

	* contrib/tklkup:

	
	Added fail safe code to the DELETE entry operation.  This forces the
	user to confirm the delete entry request.
	Added pod documentation for the DELETE fail safe window.
	
2001-12-15 05:06  Clif Harden

	* contrib/tklkup:

	
	Corrected pod documentation error.
	
2001-12-15 04:57  Clif Harden

	* contrib/tklkup:

	
	Added code to allow various entry modifications.
	Added code to delete an entry.
	Added code to do a mod RDN on an entry.
	Changed search code to display in a ROText box.
	Started code for entry data modification, this code is not complete
	but will not break anything if used.  It will just display the data
	in the Text box that will be used of modification.
	Updated pod documentation to reflect the code changes.
	
2001-12-03 16:20  Graham Barr

	* Makefile.PL:

	Add check for MIME::Base64
	
2001-11-10 06:35  Graham Barr

	* lib/Net/LDAP/Entry.pm:

	Fix case-sensitively in get_value with alloptions=>1
	
2001-11-10 06:29  Graham Barr

	* lib/Net/LDAP/Util.pm:

	Added ldap_explode_dn
	
2001-10-29 17:29  Graham Barr

	* RELEASE_NOTES, lib/Net/LDAP.pm:

	Release 0.25
	
2001-10-29 16:48  Graham Barr

	* data/00-cmp2.ldif, lib/Net/LDAP/LDIF.pm, t/00ldif-entry.t:

	Ensure dashes are only output between parts of an LDAP update entry
	
2001-10-24 15:37  Graham Barr

	* MANIFEST, htdocs/index.html, htdocs/index.xml:

	Add the new Security pod to the index page
	
2001-10-24 15:08  Chris Ridd

	* lib/Net/LDAP/RFC.pod:

	LDIF is now an RFC.
	
2001-10-24 14:51  Chris Ridd

	* MANIFEST:

	Added lib/Net/LDAP/Security.pod
	
2001-10-24 14:49  Chris Ridd

	* lib/Net/LDAP/Security.pod:

	Discussion of security issues
	
2001-10-24 13:37  Graham Barr

	* lib/Net/LDAP.pod:

	Fix SYNOPSIS to match the method descriptions
	
2001-10-23 16:07  Graham Barr

	* MANIFEST, contrib/ldapmodify.pl:

	Added contrib/ldapmodify.pl from Kartik Subbarao
	
2001-10-22 14:34  Graham Barr

	* contrib/ldifdiff.pl:

	ldapdiff.pl script from Kartik Subbarao
	
2001-10-22 13:32  Graham Barr

	* lib/Net/LDAP.pm:

	Don't overwrite teh sasl user if the caller already provided one.
	
2001-10-08 19:03  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Output LDIF change commands correctly
	
2001-10-08 08:49  Chris Ridd

	* lib/Authen/SASL/EXTERNAL.pm:

	New module
	
2001-10-05 15:36  Graham Barr

	* lib/Net/LDAP/: Entry.pm, Entry.pod:

	Allow Net::LDAP::Entry to be able to do a moddn
	(patch from Kartik Subbarao)
	
2001-10-05 15:33  Graham Barr

	* lib/Net/: LDAP.pm, LDAP.pod:

	Allow the caller to specify the list of attributes retrieved by root_dse
	
2001-10-01 11:28  Chris Ridd

	* lib/Net/LDAPS.pm:

	Added documentation for sslversion.
	
2001-10-01 11:27  Chris Ridd

	* lib/Net/LDAP.pod:

	Added documention of sslversion in start_tls
	
2001-10-01 11:23  Chris Ridd

	* lib/Net/LDAP.pm:

	Added sslversion in start_tls, defaulted to tlsv1
	
2001-10-01 11:23  Chris Ridd

	* lib/Net/LDAPS.pm:

	Added sslversion argument, defaulted to sslv2/3
	
2001-09-24 18:09  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	andle comments in LDIF
	
2001-09-09 05:50  Clif Harden

	* contrib/tklkup:

	
	Corrected several errors regarding how the ldap version information was
	set.  All ldap bind commands use the Global{setVersion} hash.
	Added the nismapname option for detecting Solaris Native LDAP automounter
	directory branches.
	
2001-09-09 05:46  Clif Harden

	* contrib/dot.tklkup:

	
	Added nismapname option.  This enables detection of Solaris Native
	LDAP automounter directory branches.
	
2001-09-07 02:13  Clif Harden

	* contrib/tklkup:

	
	Added attributes subschemaSubentry and supportedSASLMechanisms to the
	root_dse display list.
	
2001-09-05 13:13  Graham Barr

	* t/70sortctrl.t:

	Avoid Name "main::sortctrl" used only once warning
	
2001-09-05 03:57  Clif Harden

	* contrib/tklkup:

	
	Made major modifications to the way the code operates.  When searchs
	are done the DN of the returned entry(s) is displayed in a semi-hierarchial
	list.  Selecting a DN will result in another window being displayed
	that has the data for the selected DN.
	
2001-08-31 15:31  Graham Barr

	* lib/Net/LDAP/Entry.pm:

	Catch the case where deleting a specific attribute value causes the
	whole attribute to be deleted
	
2001-08-27 04:11  Clif Harden

	* contrib/tklkup:

	
	Change code to retrieve schema information when Explore Schema
	button is pressed. The Retrieve Schema button can still be used
	to retrieve schema data.
	Added code to detect objectclass string length and used this to set
	Hierarchial objectclass display window size.
	
2001-08-27 00:58  Clif Harden

	* contrib/tklkup:

	
	Added setFilter subroutine.
	Added Set Filter Condition menu button.
	Added code to allow setting of 4 different search filter combinations;
	equal, begins with, ends with, and contains.
	Added pod documentation for Set Filter Condition.
	
2001-08-26 23:16  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Added a link to a german LDAP website.
	
2001-08-25 09:08  Graham Barr

	* lib/Net/LDAP.pm:

	Release 0.2401
	
2001-08-24 20:31  Graham Barr

	* lib/: Authen/SASL.pod, Net/LDAP.pod, Net/LDAPS.pm,
	Net/LDAP/Constant.pod, Net/LDAP/Control.pm, Net/LDAP/DSML.pm,
	Net/LDAP/Entry.pod, Net/LDAP/FAQ.pod, Net/LDAP/Filter.pod,
	Net/LDAP/LDIF.pod, Net/LDAP/Message.pod, Net/LDAP/Reference.pod,
	Net/LDAP/Schema.pod, Net/LDAP/Search.pod,
	Net/LDAP/Control/Paged.pm, Net/LDAP/Control/ProxyAuth.pm,
	Net/LDAP/Control/Sort.pm, Net/LDAP/Control/SortResult.pm,
	Net/LDAP/Control/VLV.pm, Net/LDAP/Control/VLVResponse.pm:

	Fix pods for links generated by pod2html
	
2001-08-24 20:10  Graham Barr

	* t/55ssl.t:

	Fix test count
	
2001-08-24 04:03  Clif Harden

	* contrib/tklkup:

	
	Added code to set the environment variable HOME if it is not set.
	ActiveState perl does not seem to have this variable set up like the
	Unix version of perl.
	
2001-08-24 03:43  Clif Harden

	* contrib/tklkup:

	
	Change the way a Unix or Microsoft system is detected.  Used the
	Perl special variable that knows what platform the perl code was
	compiled on.
	
2001-08-21 18:03  Graham Barr

	* htdocs/index.html:

	Doc updates
	
2001-08-17 17:20  Graham Barr

	* t/53schema.t:

	Test max_length item is correct and does not contain something it should not
	
2001-08-12 03:13  Clif Harden

	* contrib/tklkup:

	
	Added the Filter attribute and change ldap filter creation code to
	not change the filter data when the Filter attribute is selected.
	Added documentation to pod about this change.
	
2001-08-05 05:06  Clif Harden

	* contrib/tklkup:

	
	Change several lines of code so that Carp and warn would not
	throw un-initialized variable warnings.
	
2001-07-29 19:54  Clif Harden

	* contrib/tklkup:

	
	Corrected major stupid error on defining hashes Global and schemaHash.
	Change the way that forking of tklkup takes place, will now only fork on
	HPUX, Sun, and Linux.  It should not fork on Windows systems.
	
2001-07-29 05:21  Clif Harden

	* lib/Net/LDAP/Schema.pm:

	
	Corrected error in _parse_schema that determines syntax length
	if the length is specified.
	
2001-07-18 13:58  Graham Barr

	* test.cfg:

	Ensure require test.cfg returns a true value
	
2001-07-17 13:52  Graham Barr

	* RELEASE_NOTES, lib/Net/LDAP.pm:

	Release 0.24
	
2001-07-16 23:40  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Fix dereference problem
	
2001-07-06 13:17  Graham Barr

	* lib/Net/LDAP.pod:

	Document the version option to Net::LDAP->new
	
2001-07-06 12:53  Graham Barr

	* lib/Net/LDAPS.pm:

	Avoid undef warnings
	
2001-07-06 11:56  Graham Barr

	* MANIFEST, install-nomake:

	Add install-nomake for those who don't have make
	
2001-07-06 11:55  Graham Barr

	* MANIFEST, test.cfg, data/cert.pem, data/key.pem,
	data/slapd2-conf.in, lib/Net/LDAP.pm, lib/Net/LDAPS.pm, t/54dse.t,
	t/55ssl.t, t/common.pl:

	Remove croaks from SSL/TLS methods
	Add testing for Net::LDAPS and start_tls
	
2001-07-06 10:18  Chris Ridd

	* lib/Net/LDAP.pod:

	Document the cipher, certificate and start_tls methods.
	
2001-07-06 10:16  Chris Ridd

	* lib/Net/LDAP.pm:

	Move Net::LDAPS cipher and certificate methods in here, and make sure
	they can only run when the socket is an IO::Socket::SSL one.
	
2001-07-06 10:15  Chris Ridd

	* lib/Net/LDAPS.pm:

	Inherit cipher and certificate methods, override inherited start_tls
	method for safety, update descriptions of the constructor options a
	bit, and insert a note about the use of LDAPv3/startTLS up front.
	
2001-07-06 02:57  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Corrected a mis-spelling.
	Corrected a truncated line.
	
2001-07-05 22:36  Graham Barr

	* lib/Net/: LDAP.pm, LDAPS.pm:

	Add support for start_tls, tests and docs will follow
	
2001-07-05 12:14  Graham Barr

	* lib/Net/LDAPS.pm:

	Fix copy-paste typo
	
2001-07-04 12:51  uid26202

	* lib/Net/: LDAP.pm, LDAPS.pm:

	Use syswrite() instead of send(), so Net::LDAPS does not need to redefine _sendmesg()
	Split out the connect from new(), so Net::LDAPS does not need to redefine new()
	
2001-07-03 20:44  Graham Barr

	* MANIFEST:

	Add 70sortctrl.t and ldifsort.pl
	
2001-07-03 20:30  Graham Barr

	* contrib/: README, ldifsort.pl:

	Add ldifsort.pl from Kartik Subbarao
	
2001-06-16 04:57  Clif Harden

	* contrib/tklkup:

	Made attribute jpegPhoto detection case insenitive.
	Corrected error in window creation in subroutine ERROR.
	Changed the way general error messages are submitted to subroutine
	ERROR.
	
2001-06-15 03:48  Clif Harden

	* contrib/tklkup:

	Added many enhancements.
	Added the ability to display jpegPhoto attributes when they are encountered
	if the Tk::JPEG module is installed.
	Added the ability to do a hierarchical tree graph of objectclasses.  When a
	branch of the tree is selected, a listing of the objectclasses and their
	attributes is displayed in a list box.
	Added the ability to display the ROOT DSE entry if it can be  obtained.
	Changed several look and feel items, made everything more consistent.
	
2001-06-14 21:14  Graham Barr

	* test.cfg, t/70sortctrl.t:

	Add a test for sort control
	
2001-06-14 21:13  Graham Barr

	* t/: 50populate.t, 51search.t, 52modify.t, common.pl:

	A few tweaks to share some more code
	
2001-06-14 21:12  Graham Barr

	* lib/Net/LDAP/RFC.pod:

	Documentation updates
	
2001-06-11 22:05  Graham Barr

	* lib/Net/LDAP.pm:

	Fix typo in element name in last checkin
	
2001-06-11 18:03  Graham Barr

	* MANIFEST, test.cfg, data/50-cmp.ldif, data/50-in.ldif,
	data/51-in.ldif, data/51a-cmp.ldif, data/51b-cmp.ldif,
	data/51c-cmp.ldif, data/51d-cmp.ldif, data/52-cmp.ldif,
	data/52-in.ldif, data/52-mod.ldif, data/core.schema,
	data/cosine.schema, data/inetorgperson.schema, data/slapd2-conf.in,
	t/50populate.t, t/51search.t, t/52modify.t, t/common.pl:

	Update test suite to work with either OpenLDAP1 or OpenLDAP2
	
2001-06-11 17:51  Graham Barr

	* lib/Net/LDAP.pm:

	Add more error checking
	
2001-06-11 17:49  Graham Barr

	* lib/Net/LDAP/: Schema.pm, Schema.pod:

	name2oid now handles multiple items with the same name. Returns an
	error if called in a scalar context with a name that matches multiple
	items.  Various other methods also return errors if called with a
	name that matches multiple items
	
2001-06-11 17:36  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Add option to output attribute names as all lowercase.
	
2001-06-11 17:35  Graham Barr

	* lib/Net/LDAP/: Search.pm, Search.pod:

	Allow the user to specify multiple attributes to compare by. Use the
	canonical DN if all attributes are equal
	
2001-06-11 17:29  Graham Barr

	* lib/Net/LDAP/Util.pm:

	Add an option to canonical_dn to return the DN in a form more useful for sorting
	
2001-06-11 17:20  Graham Barr

	* lib/Net/LDAP/: ASN.pm, Control/VLV.pm:

	Fix ASN/code mismatch so VLV controls work
	
2001-06-09 00:43  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Added comment about where to find the latest version of the FAQ.
	Added section on getting search results.  This section has subsections
	on the inline and callback approaches.
	
2001-05-30 04:10  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Added URL for Novell's LDAPzone developers web site.
	Added ACI/ACL question and code snippet.
	
2001-05-19 03:48  Clif Harden

	* contrib/tklkup:

	Corrected code that uses the nameContext to determine branches,
	or bases, in the directory.
	Added code to create an error window for error message display. This
	is for use by rountines that do not have a list window.
	
2001-05-18 22:06  Graham Barr

	* lib/Net/LDAP/Filter.pm, t/02filter.t:

	A filter can have the matchingRule name in an extensible match
	
2001-05-18 21:41  Graham Barr

	* lib/Net/LDAP/: LDIF.pm, LDIF.pod:

	Major updates to read/write methods with better error handling
	(From Robbie Allen)
	
2001-05-18 21:39  Graham Barr

	* lib/Net/LDAP/Search.pm:

	Fix case type for hash key
	
2001-05-18 21:38  Graham Barr

	* data/52-mod.ldif:

	Fix bad LDIF
	
2001-05-18 21:37  Graham Barr

	* lib/Net/LDAP.pm:

	Improve the mistyped password detection in bind()
	
2001-05-18 21:34  Graham Barr

	* README, RELEASE_NOTES, lib/Net/LDAP.pm:

	Release 0.23
	
2001-05-15 03:56  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Removed Id tag, cvs appears to not use it like RCS does.
	
2001-05-15 03:54  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Move Id tag.
	
2001-05-15 03:45  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Added section on how to delete referrals.
	Added section on what happens when an attribute is
	      deleted that does not exist and how to use
	      replace to correct the problems associated with
	      this situation.
	
2001-04-24 03:59  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Installed new and better warning message about Netscape on Windows systems
	munging file names.
	
2001-04-24 02:35  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	
	Added 3 warning paragraphs about Microsoft Windows systems
	renaming files that end in *.gz to *_tar.tar.  Explained
	how to correct the file name once the file was on the Windows
	system.
	
	Added section that explains the difference between a ldap reference
	and a ldap referral.
	
	Added section that explains how to set the version number of a
	ldap connection.
	
	Added a new book listing.  This listing deals with Solaris 8 and
	native SUN ldap.
	
2001-04-23 20:33  Graham Barr

	* lib/Net/LDAP/Schema.pod:

	Fix doc typo
	
2001-04-12 17:40  Graham Barr

	* lib/Net/LDAP/: Filter.pm, Schema.pm, Util.pm:

	Fix syntax to be 5.004_04 compatable
	
2001-04-11 10:20  Graham Barr

	* t/01canon_dn.t:

	Ensure the number of tests run matches the test count
	
2001-04-11 08:49  Graham Barr

	* lib/Net/LDAP/Util.pm, t/01canon_dn.t:

	Fix uninitialized warnings
	
2001-04-10 18:02  Graham Barr

	* Makefile.PL:

	Tweaks to dependcies of distdir
	
2001-04-10 18:02  Graham Barr

	* MANIFEST:

	Add docs for ProxyAuth module
	
2001-04-10 17:30  Graham Barr

	* MANIFEST, htdocs/index.xml, lib/Net/LDAP/ASN.pm,
	lib/Net/LDAP/Constant.pm, lib/Net/LDAP/Control.pm,
	lib/Net/LDAP/Control/ProxyAuth.pm:

	Add Net::LDAP::Control::ProxyAuth from Olivier Dubois
	
2001-04-10 08:00  Chris Ridd

	* lib/Net/LDAP/LDIF.pm:

	Add same change for dn lines to _read_one_cmd.
	
2001-04-09 08:39  Chris Ridd

	* lib/Net/LDAP/LDIF.pm:

	Allow spaces between the colon and the DN in dn lines.
	
2001-04-02 21:31  Graham Barr

	* lib/Net/LDAP/Filter.pm, t/02filter.t:

	Fix for filters that contain an escaped * [Radovan Semancik]
	
2001-03-31 06:04  Clif Harden

	* contrib/tklkup:

	Removed base and mybase options.
	Added button and code to allow changing of server port number.
	Added code to limit the number of search bases detected.
	Change code that does auto base detection.
	Added code to query rootDSE for namingContexts when a base was
	not specified on a server line in the .tklkup file.
	Changed layout of schema GUI.  Added code to handle additional
	schema objects.
	
2001-03-31 05:58  Clif Harden

	* contrib/dot.tklkup:

	Remove mybase and base options.
	Added limit and port options.
	
2001-03-21 16:21  Chris Ridd

	* lib/Net/LDAP/LDIF.pod:

	Describe the encode option in the constructor.
	
2001-03-21 16:20  Chris Ridd

	* lib/Net/LDAP/LDIF.pm:

	Add encode option in constructor. Add _write_dn to appropriately
	format the dn line, and call it using the encode option where
	appropriate.
	
	Add support for writing modrdn records from Kartik Subbarao.
	
2001-03-16 09:13  Chris Ridd

	* lib/Net/LDAP/DSML.pm:

	Fix missing semicolon in _normalize, and normalize ' to &apos; instead
	of &quot; as per REC-xml-19980210 section 2.4.
	
2001-03-12 14:01  Graham Barr

	* MANIFEST, contrib/jpegDisplay.pl, contrib/jpegLoad.pl:

	New contrib scripts from Clif Harden
	
2001-03-08 13:31  Graham Barr

	* mkhtml, lib/Net/LDAP/RFC.pod, lib/Net/LDAP/Util.pm:

	Documentation updates
	
2001-03-08 13:18  Graham Barr

	* lib/Net/LDAP/Util.pm, t/01canon_dn.t:

	Escape leading and trailing spaces in canonical_dn instead of
	placing the value in "'s.
	Added a description of what canonical_dn does in the POD
	
2001-03-07 15:20  Chris Ridd

	* lib/Net/LDAPS.pm:

	Fix minor doc typo (-nout -> -noout)
	
2001-03-07 15:13  Chris Ridd

	* lib/Net/LDAP.pod:

	Fixed typo 'methoc' -> 'method' spotted by David Corcoran
	
2001-02-14 19:43  Graham Barr

	* lib/Net/LDAP/Util.pm, t/01canon_dn.t:

	Fix to the DN parsing regex and some more tests
	
2001-02-13 13:44  Graham Barr

	* t/01canon_dn.t:

	Made t/01canon_dn.t expain why a test failes
	Added more tests to 01canon_dn.t, provided by John Berthels
	
2001-02-13 13:19  Graham Barr

	* lib/Net/LDAP/Util.pm:

	Allow ; as a RDN separator in canonical_dn
	
2001-02-13 11:22  Graham Barr

	* lib/Net/LDAP/Util.pm, t/01canon_dn.t:

	Add canonical_dn function to erturn a DN in a canonical form.
	
2001-02-12 14:29  Graham Barr

	* mkmanf:

	Skip CVS files
	
2001-02-12 14:22  Graham Barr

	* htdocs/index.xml:

	XML source for docs index
	
2001-02-12 14:17  Graham Barr

	* lib/Net/: LDAP.pm, LDAP.pod, LDAP/Schema.pm, LDAP/Schema.pod:

	Make schema retrieval and parsing more standards compliant
	[Original patch from Clif Harden]
	
2001-02-12 09:27  Graham Barr

	* lib/Net/LDAP/LDIF.pm:

	Support - in attribute names and correctly read base64 encoded
	attribute in _read_one_cmd. [Patch supplied by Kartik Subbarao]
	
2001-01-31 11:47  Graham Barr

	* mkhtml, mkindex, mkmanf:

	Useful scripts for development
	
2001-01-31 11:45  Graham Barr

	* lib/Net/LDAP/Schema.pm:

	Fix _must_or_may to not croak on undefined value
	(patch provided by Dave Bailey)
	
2001-01-31 11:44  Graham Barr

	* lib/Net/LDAP/Bind.pm:

	Use the server SASL credentials for the SASL challenge
	(patch provided by Simon Wilkinson)
	
2001-01-29 22:32  Graham Barr

	* MANIFEST, OldChanges:

	Move perforce changelog aside and now generate with cvs2cl
	
2001-01-29 21:50  Graham Barr

	* contrib/: README, dot.tklkup, isMember.pl, printMembers.pl,
	tklkup:

	Moved files back
	
2001-01-29 21:09  Graham Barr

	* fred, fred.bak, user.map:

	Change 611
	
2001-01-19 02:09  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Removed URL for bostonlight.  No longer active.
	
	Added two URLs for Active Directory information.
	
2000-12-14 02:35  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Corrected minor miss-wording on the LDAPS url warning.
	
2000-12-14 02:27  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Added comment about URL LDAPS having a nasty habit of resizing the
	user's browser to cover the whole screen.
	
2000-12-07 03:36  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Added URL for LDAPGURU.
	Added URL for eMailman.
	
2000-10-27 02:40  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Made spelling corrections and fixed a -> code mis-placement.
	
2000-10-22 05:31  Clif Harden

	* lib/Net/LDAP/FAQ.pod:

	Added section "What is the difference between a LDAP server and a
	relational database".
	
2000-08-03 18:10  Graham Barr

	* contrib/: checkauth.pl, examples, isMember.readme,
	printMembers.readme, schema, schema.README, tklkup.README:

	Change 560
	
2000-07-30 22:03  Graham Barr

	* contrib/schema, contrib/schema.README, contrib/schema.tklkup,
	contrib/tklkup.README, contrib/tklkup.tklkup, t/01url.t:

	Change 553
	
2000-05-03 13:28  Graham Barr

	* contrib/checkauth.pl, contrib/examples, contrib/isMember.readme,
	contrib/printMembers.readme, contrib/schema, contrib/schema.README,
	contrib/schema.tklkup, contrib/tklkup.README,
	contrib/tklkup.tklkup, t/01url.t:

	import
	
2000-05-03 13:28  Graham Barr

	* MANIFEST, Makefile.PL, README, RELEASE_NOTES, TODO,
	bin/ldapdelete.PL, bin/ldapmodrdn.PL, bin/ldapsearch.PL,
	contrib/checkauth.pl, contrib/examples, contrib/isMember.pl,
	contrib/isMember.readme, contrib/printMembers.pl,
	contrib/printMembers.readme, contrib/schema, contrib/schema.README,
	contrib/schema.tklkup, contrib/tklkup, contrib/tklkup.README,
	contrib/tklkup.tklkup, data/00-cmp2.ldif, data/00-in.ldif,
	data/50-cmp.ldif, data/50-in.ldif, data/51-in.ldif,
	data/51a-cmp.ldif, data/51b-cmp.ldif, data/51c-cmp.ldif,
	data/51d-cmp.ldif, data/52-cmp.ldif, data/52-in.ldif,
	data/52-mod.ldif, data/schema.in, data/slapd-conf.in,
	data/slapd.at.conf, data/slapd.oc.conf, lib/Authen/SASL.pm,
	lib/Authen/SASL.pod, lib/Authen/SASL/CRAM_MD5.pm,
	lib/Bundle/Net/LDAP.pm, lib/LWP/Protocol/ldap.pm, lib/Net/LDAP.pm,
	lib/Net/LDAP.pod, lib/Net/LDAP/ASN.pm, lib/Net/LDAP/Bind.pm,
	lib/Net/LDAP/Constant.pm, lib/Net/LDAP/Constant.pod,
	lib/Net/LDAP/Control.pm, lib/Net/LDAP/Entry.pm,
	lib/Net/LDAP/Entry.pod, lib/Net/LDAP/Examples.pod,
	lib/Net/LDAP/Extension.pm, lib/Net/LDAP/FAQ.pod,
	lib/Net/LDAP/Filter.pm, lib/Net/LDAP/Filter.pod,
	lib/Net/LDAP/LDIF.pm, lib/Net/LDAP/LDIF.pod,
	lib/Net/LDAP/Message.pm, lib/Net/LDAP/Message.pod,
	lib/Net/LDAP/RFC.pod, lib/Net/LDAP/Reference.pod,
	lib/Net/LDAP/Schema.pm, lib/Net/LDAP/Schema.pod,
	lib/Net/LDAP/Search.pm, lib/Net/LDAP/Search.pod,
	lib/Net/LDAP/Util.pm, lib/Net/LDAP/Control/Paged.pm,
	lib/Net/LDAP/Control/Sort.pm, lib/Net/LDAP/Control/SortResult.pm,
	lib/Net/LDAP/Control/VLV.pm, lib/Net/LDAP/Control/VLVResponse.pm,
	t/00ldif-entry.t, t/01url.t, t/02filter.t, t/50populate.t,
	t/51search.t, t/52modify.t, t/53schema.t, t/common.pl:

	Initial revision
	
